# Class TakeOfferRequest

#### Hierarchy

- unknown
  - TakeOfferRequest

- Defined in src/protobuf/grpc_pb.d.ts:2376
- Defined in src/protobuf/grpc_pb.d.ts:2397

#####
Index

### Constructors

constructor

### Methods

getAmount
getChallenge
getOfferId
getPaymentAccountId
serializeBinary
setAmount
setChallenge
setOfferId
setPaymentAccountId
toObject
deserializeBinary
deserializeBinaryFromReader
serializeBinaryToWriter
toObject

## Constructors

### constructor

- new TakeOfferRequest(): TakeOfferRequest

- #### Returns TakeOfferRequest

  Inherited from jspb.Message.constructor

## Methods

### getAmount

- getAmount(): string

- #### Returns string

  - Defined in src/protobuf/grpc_pb.d.ts:2383

### getChallenge

- getChallenge(): string

- #### Returns string

  - Defined in src/protobuf/grpc_pb.d.ts:2386

### getOfferId

- getOfferId(): string

- #### Returns string

  - Defined in src/protobuf/grpc_pb.d.ts:2377

### getPaymentAccountId

- getPaymentAccountId(): string

- #### Returns string

  - Defined in src/protobuf/grpc_pb.d.ts:2380

### serializeBinary

- serializeBinary(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/grpc_pb.d.ts:2389

### setAmount

- setAmount(value: string): TakeOfferRequest

- #### Parameters

  - ##### value: string

  #### Returns TakeOfferRequest

  - Defined in src/protobuf/grpc_pb.d.ts:2384

### setChallenge

- setChallenge(value: string): TakeOfferRequest

- #### Parameters

  - ##### value: string

  #### Returns TakeOfferRequest

  - Defined in src/protobuf/grpc_pb.d.ts:2387

### setOfferId

- setOfferId(value: string): TakeOfferRequest

- #### Parameters

  - ##### value: string

  #### Returns TakeOfferRequest

  - Defined in src/protobuf/grpc_pb.d.ts:2378

### setPaymentAccountId

- setPaymentAccountId(value: string): TakeOfferRequest

- #### Parameters

  - ##### value: string

  #### Returns TakeOfferRequest

  - Defined in src/protobuf/grpc_pb.d.ts:2381

### toObject

- toObject(includeInstance?: boolean): TakeOfferRequest.AsObject

- #### Parameters

  - ##### `Optional` includeInstance: boolean

  #### Returns TakeOfferRequest.AsObject

  - Defined in src/protobuf/grpc_pb.d.ts:2390

### `Static` deserializeBinary

- deserializeBinary(bytes: Uint8Array): TakeOfferRequest

- #### Parameters

  - ##### bytes: Uint8Array

  #### Returns TakeOfferRequest

  - Defined in src/protobuf/grpc_pb.d.ts:2393

### `Static` deserializeBinaryFromReader

- deserializeBinaryFromReader(message: TakeOfferRequest, reader: BinaryReader): TakeOfferRequest

- #### Parameters

  - ##### message: TakeOfferRequest

  - ##### reader: BinaryReader

  #### Returns TakeOfferRequest

  - Defined in src/protobuf/grpc_pb.d.ts:2394

### `Static` serializeBinaryToWriter

- serializeBinaryToWriter(message: TakeOfferRequest, writer: BinaryWriter): void

- #### Parameters

  - ##### message: TakeOfferRequest

  - ##### writer: BinaryWriter

  #### Returns void

  - Defined in src/protobuf/grpc_pb.d.ts:2392

### `Static` toObject

- toObject(includeInstance: boolean, msg: TakeOfferRequest): TakeOfferRequest.AsObject

- #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: TakeOfferRequest

  #### Returns TakeOfferRequest.AsObject

  - Defined in src/protobuf/grpc_pb.d.ts:2391

Generated using TypeDoc